Subject: Re: [PATCH/RFC] git.c: support "!!" aliases that do not move cwd

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Oct 2016 12:07:49 -0700

Jeff King <[email-masked]> writes:

> ... My main motive in switching to the
> "alias.$cmd.key" syntax is that it fixes the ancient mistake of putting
> arbitrary content into the key (just like pager.*, as we've discussed
> elsewhere).

Yup, we are on the same page.  It's not too grave a mistake (we said
"these are command names and do not have to be able to contain
random letters" and deliberately did without the usual three-level
hierarchy; I think the reasoning is even more valid for pager.*),
but it does imply case insensitivity not to use three-level names,
and I think it is a good move.